Subject: Re: [Dovecot] Question about ACL/flags
From: Timo Sirainen <[email-masked]>
To: Eric Jon Rostetter <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Aug 2009 13:06:34 -0400

On Thu, 2009-08-27 at 16:28 -0500, Eric Jon Rostetter wrote:
> Have an email account (or folder or mailbox) which can be accessed by
> several people (say 3) with per-user seen flags.  That is, say 3 people
> all access the mail but each user has their own seen flag for the messages.
> This would hopefully be done with mbox still, if possible, but I'm willing
> to try a mixed mbox/maildir setup if required to accomplish the goal.

You can't have per-user seen flags with mbox currently. So create a
public namespace with a maildir location and set up dovecot-acl file in
a way that allows only some specific users access to it. So for example:

namespace public {
  separator = /
  prefix = shared/
  location = maildir:/var/mail/shared
  subscriptions = no
}

Then create /var/mail/shared/.box1, .box2, etc. If you only need one
shared mailbox and don't want a shared/ (or whatever) prefix, you need
v1.2.

> I basically understand the ideas behind it all, but from the wiki I'm
> confused exactly what I need to do, and what version I might need.  (If
> the wiki example is for dovecot 1.2+, does that mean it won't work in
> 1.1, or just that it has to be done differently, etc).

http://wiki.dovecot.org/SharedMailboxes/Shared is only for v1.2+. Did
you mean that or something else?